# SIPL
## SIPL(Simple Image Processing Langage) is a course project for COMS 4115 Programming Languages & Translators.
###  This language includes these following attributes:
1. Image I/O
2. Image channels extraction
3. Image resizing
4. Convolution
5. Image calculation 

### Done and TODOs:
1. String type supported.
2. Image and Matrix type supported. 
3. imgread(), imgwrite(), changeGrey(), rotateImage(), flipImage(), kernel(), convImg() built-in functions supported.
4. Float type and + - * / > < >= <= == ops supported.

TODOs:
1. Type casting. 
2. Operations: mod?


### Command:

1. To clean all previous compiled objects (Run this before compile)
make clean

2. To emit utils.bc file (If modified utils.h or utils.c, need to use this command)
make utils

3. To compile the compiler (If modified ocaml or c file)
make

4. test imgread and imgwrite. test-img requires a picture named "lena.png"
./testall.sh tests/test-img.sp