/*
Image resize (Image img, float scaleX, float scaleY){
    float cols;
    float rows;
    float bp_row;
    float bp_col;
    int i;
    int j;
    float delx;
    float dely;
    Pixel tmp;
    int tmp2;
    int indexy;
    int indexx;
    Image res;

    cols =  img.width * scaleX;
    rows =  img.height * scaleY;

    res = imgCreate(float2int(rows), float2int(cols));   

    for(i = 0; i < float2int(rows); i = i + 1){
        for(j = 0; j < float2int(cols); j = j + 1){
            bp_row =  i / scaleY;
            bp_col =  j / scaleX;
            indexx = float2int(bp_col);
            indexy = float2int(bp_row);

            delx = bp_col -  indexx;
            dely = bp_row -  indexy; 

            tmp =  img[indexy][indexx]["a"] * (1.0 - delx) * (1.0 - dely);
            tmp = tmp +  img[indexy + 1][indexx]["a"] * delx * ( 1.0 - dely) ;
            tmp = tmp +  img[indexy + 1][indexx + 1]["a"] * dely * delx;
            tmp = tmp +  img[indexy][indexx + 1]["a"] * (1.0 - delx) * dely;
            res[i][j]["a"] = tmp;

        }
    }

    return res;
}
*/


int main(){
    Image img;
    Image img2;

    img = imgread("lena.png");
        
    img2 = resize(img, 1.5, 2.5);

    imgwrite(img2, 0, "lena-resize2.png");
}
