#!/bin/sh
SIPL="./sipl.native"
basename=`echo $1 | sed 's/.*\\///
                             s/.sp//'`
LLI="lli"
#LLI="/usr/local/opt/llvm/bin/lli"

# Path to the LLVM compiler
LLC="llc"

# Path to the C compiler
CC="cc"
Run() {
    echo $* 1>&2
    eval $* || {
	SignalError "$1 failed on $*"
	return 1
    }
}
cat "lib/sipllib.sp" $1 > "catfile.sp"

Run "$SIPL" "catfile.sp" ">" "${basename}.ll" &&
# Run "$SIPL" "$1" ">" "${basename}.ll" &&
Run "$LLC" "${basename}.ll" ">" "${basename}.s" &&
Run "$CC" "-o" "${basename}.exe" "${basename}.s" "printbig.o" "lib/stb_image.o" "lib/stb_image_write.o" "lib/utils.o" "-lm"
# Run "./${basename}.exe" > "${basename}.out"
