/*
Image resize (Image img, float scaleX, float scaleY){
    float cols;
    float rows;
    float bp_row;
    float bp_col;
    int i;
    int j;
    float delx;
    float dely;
    float tmp;
    int tmp2;
    int indexy;
    int indexx;
    Image res;

    cols = int2float(img.width) * scaleX;
    rows = int2float(img.height) * scaleY;

    res = imgCreate(float2int(rows), float2int(cols));   

    for(i = 0; i < float2int(rows); i = i + 1){
        for(j = 0; j < float2int(cols); j = j + 1){
            bp_row = int2float(i) / scaleY;
            bp_col = int2float(j) / scaleX;
            indexx = float2int(bp_col);
            indexy = float2int(bp_row);

            delx = bp_col - int2float(indexx);
            dely = bp_row - int2float(indexy); 

            if(indexy + 1 < img.width && indexx + 0 < img.height){
                tmp = int2float(img[indexy][indexx]["r"]) * (1.0 - delx) * (1.0 - dely);
                tmp = tmp + int2float(img[indexy + 1][indexx]["r"]) * delx * ( 1.0 - dely) ;
                tmp = tmp + int2float(img[indexy + 1][indexx + 1]["r"]) * dely * delx;
                tmp = tmp + int2float(img[indexy][indexx + 1]["r"]) * (1.0 - delx) * dely;
                tmp2 = float2int(tmp);
                if(tmp2 > 255){
                     tmp2 = 255;    
                }
                res[i][j]["r"] = tmp2;

                tmp = int2float(img[indexy][indexx]["g"]) * (1.0 - delx) * (1.0 - dely);
                tmp = tmp + int2float(img[indexy + 1][indexx]["g"]) * delx * ( 1.0 - dely) ;
                tmp = tmp + int2float(img[indexy + 1][indexx + 1]["g"]) * dely * delx;
                tmp = tmp + int2float(img[indexy][indexx + 1]["g"]) * (1.0 - delx) * dely;
                tmp2 = float2int(tmp);
                if(tmp2 > 255){
                     tmp2 = 255;    
                }
                res[i][j]["g"] = tmp2;

                tmp = int2float(img[indexy][indexx]["b"]) * (1.0 - delx) * (1.0 - dely);
                tmp = tmp + int2float(img[indexy + 1][indexx]["b"]) * delx * ( 1.0 - dely) ;
                tmp = tmp + int2float(img[indexy + 1][indexx + 1]["b"]) * dely * delx;
                tmp = tmp + int2float(img[indexy][indexx + 1]["b"]) * (1.0 - delx) * dely;
                tmp2 = float2int(tmp);
                if(tmp2 > 255){
                     tmp2 = 255;    
                }
                res[i][j]["b"] = tmp2;


            }

            else {
                
                res[i][j]["r"] = 0;
                res[i][j]["g"] = 0;
                res[i][j]["b"] = 0;
            }
        }
    }

    return res;
}

*/

int main(){
    Image img;
    Image img2;

    img = imgread("lena.png");
        
    img2 = resize(img, 1.5, 2.5);

    imgwrite(img2, 0, "lena-resize.png");
}
